#include <memory>

#include "NotesTk.h"
#include "MainApplication.h"
#include "CommandLineArgs.h"

int main(int argc, char *argv[])
{
    auto args = CommandLineArgs::Create();
    args->process(argc, argv);
    args->recordLaunchPath();

    // Start the gui app
    auto app = NotesTk(std::move(args));
    //app.setUiInterfaceBackend(UiInterfaceFactory::Backend::X11_RASTER);
    app.run();

    return 0;
}
